# Wireless Sensor Network (WSN) Simulator

## Installation
To install the package, it must be put in the gopath under src/github.com/orjansv/master-code.

## Usage
Run master-code.exe with a configuration file as input:

    .\master-code.exe example.json

For help, use the optional argument -h.

## Folder Structure
The folder structure should be straight forward. Simulator is the package that runs the whole simulation. It includes all the different components, such as the cloud, gateways, sensors and connections. Benchmarking etc. is done from the main file.

The python code is used for plotting. stats.py plots bar plots of simulation results, and plot.py plots the network grids with sensors and gateways.
